<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version = '1.0'
     xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:output method="html"/>     
<xsl:template match="/">
<html>
<body
 style="color: rgb(255, 255, 255); background-color: rgb(0, 0, 0); background-image: url(space.jpg);"
 link="#0000ff" vlink="#0000a0" alink="#ff0000">
   <center>
		<img  src="weaponstitle.jpg" alt="weapons"> </img>  
  </center>

  <xsl:apply-templates></xsl:apply-templates>
  </body>
  </html>
</xsl:template>

 
<xsl:template match="gun">
<p>
<b>
         Name:
		<xsl:value-of select="@name"/> 
</b>		
</p>
<p>
		Range: 
		<xsl:value-of select="@range"/> 		
</p>		
<p>
		Speed: 
			<xsl:value-of select="speeds/@velocity"/> 		            
</p>		

<p>
		Damage: 
		<xsl:value-of select="@damage"/> 		
</p>		
<p>
		Refire delay (ms): 
		<xsl:value-of select="@refire_delay"/> 		
</p>		
<p>
		Energy usage: 
		<xsl:value-of select="@energy"/> 		
</p>		
<xsl:if test="@charge_time">
<p>
Charge time:  
<xsl:value-of select="@charge_time"/>  
</p>
</xsl:if>

<xsl:if test="@damage_capships">
<p>
		Damage capships: 
		<xsl:value-of select="@damage_capships"/> 		
</p>		
</xsl:if>
<xsl:if test="@damage_turrets">
<p>
		Damage turrets: 
		<xsl:value-of select="@damage_turrets"/> 		
</p>		
</xsl:if>
<img >
            <xsl:attribute name="src">
			<xsl:value-of select="@icon"/> 		            
            </xsl:attribute>
</img>      
<img >
            <xsl:attribute name="src">
			<xsl:value-of select="billboard/@texture"/> 		            
            </xsl:attribute>
</img>          
    
<hr></hr>
</xsl:template>


<xsl:template match="missile">
<p>
<b>
         Name:
		<xsl:value-of select="@name"/> 
</b>		
</p>
<p>
		Range: 
		<xsl:value-of select="@range"/> 		
</p>		
<p>
		Speed: 
			<xsl:value-of select="speeds/@velocity"/> 		            
</p>		

<p>
		Damage: 
		<xsl:value-of select="@damage"/> 		
</p>		
<p>
		Refire delay (ms): 
		<xsl:value-of select="@refire_delay"/> 		
</p>		
<p>
		Lock time (ms): 
		<xsl:value-of select="@locktime"/> 		
</p>		
<p>
		Tracking:: 
		<xsl:value-of select="@tracking"/> 		
</p>		
<p>
		Spoof probability: 
		<xsl:value-of select="@spoof"/> 		
</p>		

<xsl:if test="@damage_capships">
<p>
		Damage capships: 
		<xsl:value-of select="@damage_capships"/> 		
</p>		
</xsl:if>

<xsl:if test="@damage_turrets">
<p>
		Damage turrets: 
		<xsl:value-of select="@damage_turrets"/> 		
</p>		
</xsl:if>

<img >
            <xsl:attribute name="src">
			<xsl:value-of select="@icon"/> 		            
            </xsl:attribute>
</img>      
<img >
            <xsl:attribute name="src">
			<xsl:value-of select="@image"/> 		            
            </xsl:attribute>
</img>      
<img >
            <xsl:attribute name="src">
			<xsl:value-of select="@exhaust"/> 		            
            </xsl:attribute>
</img>      

    
<hr></hr>
</xsl:template>

</xsl:stylesheet>
